> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get group



## OpenAPI

````yaml get /v1/groups/{id}
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/groups/{id}:
    get:
      tags:
        - groups
      summary: Get group
      operationId: GroupController_getGroup_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Group details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    GroupResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:20.711Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/GroupResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    GroupResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 3de3ba12-fe6e-4242-b2c2-57aa17d2b959
          description: Group ID
        tenantId:
          type: string
          example: 9409925f-e386-428d-b82d-bc96fc7d785e
          description: Tenant ID
        baseCurrency:
          type: string
          example: ''
          description: Base Currency
        groupId:
          type: string
          example: drDwrQ
          description: Group ID String
        groupName:
          type: string
          example: Engineering Team
          description: Group Name
        displayName:
          type: string
          example: Engineering Department
          description: Display Name
        legalName:
          type: string
          example: Engineering Department LLC
          description: Legal Name
        externalId:
          type: string
          example: EXT-GROUP-12345
          description: External ID
        instanceId:
          type: string
          example: 02198055-706d-417d-9573-d376ced5c6f6
          description: Instance ID
        address:
          description: Group Address
          allOf:
            - $ref: '#/components/schemas/GroupAddressDto'
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          description: Status
        createdOn:
          format: date-time
          type: string
          example: '2023-01-01T12:00:00Z'
          description: Created On
        updatedOn:
          format: date-time
          type: string
          example: '2023-01-15T12:00:00Z'
          description: Updated On
        isSynced:
          type: boolean
          example: false
          description: Is Synced
        parentGroups:
          description: Parent Groups
          type: array
          items:
            $ref: '#/components/schemas/GroupMappingDto'
        tenantGroupType:
          description: Tenant Group Type
          allOf:
            - $ref: '#/components/schemas/TenantGroupTypeDto'
        isDeleted:
          type: boolean
          example: false
          description: Is Deleted
        disableOption:
          type: string
          nullable: true
          enum:
            - KEEP_ASSOCIATIONS
            - REMOVE_ASSOCIATIONS
            - NA
          description: Disable option
          example: NA
        decisionsCount:
          type: number
          example: 25
          description: Count of associated decisions
        delegationsCount:
          type: number
          example: 25
          description: Count of associated delegations
      required:
        - id
        - tenantId
        - groupId
        - groupName
        - status
        - createdOn
        - updatedOn
        - isSynced
        - tenantGroupType
        - isDeleted
        - disableOption
    GroupAddressDto:
      type: object
      properties:
        id:
          type: string
          example: f2dfca59-4d8d-4636-a73b-41e97b3ba548
          description: Address ID
        groupId:
          type: string
          example: 1cbaa43f-c81c-45e9-a0c4-31b632d0502b
          description: Group ID
        street1:
          type: string
          example: 123 Main Street
          description: Street Address Line 1
        street2:
          type: string
          example: Suite 100
          description: Street Address Line 2
        city:
          type: string
          example: New York
          description: City
        state:
          type: string
          example: New York
          description: State
        stateCode:
          type: string
          example: NY
          description: State Code
        zipCode:
          type: string
          example: '10001'
          description: ZIP Code
        country:
          type: string
          example: United States
          description: Country
        countryCode:
          type: string
          example: US
          description: Country Code
        createdOn:
          format: date-time
          type: string
          example: '2023-01-01T12:00:00Z'
          description: Created On
        updatedOn:
          format: date-time
          type: string
          example: '2023-01-15T12:00:00Z'
          description: Updated On
      required:
        - id
        - groupId
        - street1
        - city
        - state
        - zipCode
        - country
        - createdOn
        - updatedOn
    GroupMappingDto:
      type: object
      properties:
        id:
          type: string
          example: f8e83c38-c408-46d0-8e10-a3bc01073a28
          description: Group Mapping ID
        parentId:
          type: string
          example: f3babb40-7bfa-4fc0-9942-4af717f25701
          description: Parent Group ID
        createdAt:
          format: date-time
          type: string
          example: '2024-01-01T00:00:00.000Z'
          description: Created At
        parentGroup:
          description: Parent Group Details
          allOf:
            - $ref: '#/components/schemas/ParentGroupDto'
      required:
        - id
        - parentId
        - createdAt
        - parentGroup
    TenantGroupTypeDto:
      type: object
      properties:
        id:
          type: string
          example: 6e606506-4c84-49a9-8abe-ce46d5b44e70
          description: Group Type ID
        groupTypeName:
          type: string
          example: Department
          description: Group Type Name
        shouldAllowEnableDisable:
          type: boolean
          example: true
          description: Should Allow Enable/Disable
        isDefault:
          type: boolean
          example: false
          description: Is Default
        disableOption:
          type: string
          enum:
            - KEEP_ASSOCIATIONS
            - REMOVE_ASSOCIATIONS
            - NA
          description: Disable Option
      required:
        - id
        - groupTypeName
        - shouldAllowEnableDisable
        - isDefault
        - disableOption
    ParentGroupDto:
      type: object
      properties:
        id:
          type: string
          example: e9db3b7c-e5cd-4ff4-9d6d-a6528ec04aa1
          description: ID
        tenantId:
          type: string
          example: 56cdb45f-cd19-4be3-963c-2b4b4eb4529e
          description: Tenant ID
        groupId:
          type: string
          example: '10000'
          description: Group ID String
        groupName:
          type: string
          example: Engineering Team
          description: Group Name
        displayName:
          type: string
          example: Engineering Team
          description: Display Name
        legalName:
          type: string
          example: Engineering Team
          description: Legal Name
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          description: Status
        tenantGroupType:
          description: Tenant Group Type
          allOf:
            - $ref: '#/components/schemas/ParentTenantGroupTypeDto'
      required:
        - id
        - tenantId
        - groupId
        - groupName
        - displayName
        - legalName
        - status
        - tenantGroupType
    ParentTenantGroupTypeDto:
      type: object
      properties:
        id:
          type: string
          example: 6414c9b4-72f9-4788-99da-976747a10992
          description: Group Type ID
        groupTypeName:
          type: string
          example: Department
          description: Group Type Name
      required:
        - id
        - groupTypeName
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````